2010.08.12 18:49

애플 모바일운영체제(iOS) 신규취약점 보안업데이트 권고

□ 개요

   o 최근 애플社에서 iOS 4.0.2(iPhone, iPod) 및 iOS 3.2.2(iPad) 보안업데이트를 공개
    ※ iOS 4.0.2 : iPhone 및 iPod Touch에 대한 보안업데이트[1]
    ※ iOS 3.2.2 : iPad에 대한 보안업데이트[2]
   o 이에 국내 iPhone 및 iPod Touch, iPad 이용자들에게 신속한 업데이트를 권고함
    ※ 본 보안업데이트는 지난 8월 6일 KrCERT/CC 홈페이지에 게시된 “애플 모바일운영체제(iOS) 
       신규취약점 주의” 보안공지와 연계됨[3]

□ 설명  
  o iOS 4.0.2 및 iOS 3.2.2는 아래와 같은 중요 취약점에 대한 보안업데이트를 포함
     - FreeType (CVE-2010-1797) : 애플 모바일운영체제가 PDF파일 내에 있는 Font(글씨체)를 
       처리하는 과정에 존재하는 임의의 코드 실행 취약점[4]
     - IOSurface (CVE-2010-2973) : IOSurface의 등록정보를 취급하는 과정에 존재하는 권한 상승 
       취약점[5]
  o 최신 보안업데이트 적용하지 않을 시, 모바일 인터넷 사용 중 악성코드에 감염 등의 피해를 
    입을 수 있음
   
□ 업데이트 방법
  ① PC에서 iTunes(아이튠즈)를 실행하고 iPhone(iPod Touch, iPad)을 PC와 연결

  ② “업데이트” 버튼을 클릭한 후 “다운로드 및 설치” 버튼을 클릭하여 소프트웨어 업데이트

□ 용어 정리
  o PDF(Portable Document Format): 문서 파일의 한 형태로 화면에 보이는 그대로 인쇄할 수 있어 
    출판에 적합
  o IOSurface : 애플 Mac OS X용 프레임워크에 포함된 응용프로그램간 그래픽표면을 공유할 때 
    사용되는 프레임워크의 일종

□ 기타 문의사항
   o Jailbreak된 iPhone도 업데이트가 가능한가요?
     - 업데이트가 가능합니다. 아이튠즈를 통해 업데이트를 하시길 바랍니다.
      ※ 단, 본 업데이트를 적용할 경우 Jailbreak가 적용되지 않은 상태로 돌아갑니다.
   o 한국인터넷진흥원 인터넷침해대응센터 : 국번없이 118

□ 참고사이트 
  [1] http://support.apple.com/kb/HT4291
  [2] http://support.apple.com/kb/HT4292
  [3] http://www.krcert.or.kr/secureNoticeView.do?num=439&seq=-1
  [4] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1797
  [5] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2973


Trackback 0 Comment 0